This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen
Bug 524 - Pardiso Solver can't be part of struct
Summary: Pardiso Solver can't be part of struct
Status: RESOLVED FIXED
Alias: None
Product: Eigen
Classification: Unclassified
Component: Sparse (show other bugs)
Version: 3.1
Hardware: All All
: Normal Unknown
Assignee: Nobody
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-22 21:56 UTC by brian
Modified: 2019-12-04 11:56 UTC (History)
1 user (show)



Attachments

Description brian 2012-10-22 21:56:31 UTC
Could we change Array<Index,64,1> => Array<Index,64,1,Eigen::DontAlign> at the two locations where it occurs inside of PardisoSupport.h

That allows to use the Pardiso solver inside of a struct, where it is not aligned.

kind regards,

Brian
Comment 1 Gael Guennebaud 2012-10-24 10:32:21 UTC
right!

https://bitbucket.org/eigen/eigen/changeset/cef32230a313/
changeset:   cef32230a313
user:        ggael
date:        2012-10-24 10:31:04
summary:     fix bug 524: Pardiso's parameter array does not have to be aligned!

https://bitbucket.org/eigen/eigen/changeset/e53cefe132f0/
changeset:   e53cefe132f0
branch:      3.1
user:        ggael
date:        2012-10-24 10:31:04
summary:     fix bug 524: Pardiso's parameter array does not have to be aligned!
(transplanted from cef32230a313b01ef4ea0c552aa3b66a3fc83d84)
Comment 2 Nobody 2019-12-04 11:56:25 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/524.

Note You need to log in before you can comment on or make changes to this bug.